NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.GeometricUtilities.ModlMotion Class Reference

Represents a NXOpen.GeometricUtilities.ModlMotion More...

Inheritance diagram for NXOpen.GeometricUtilities.ModlMotion:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Delta { ReferenceAcsWorkPart, ReferenceAcsDisplayPart, ReferenceWcsWorkPart, ReferenceWcsDisplayPart }
 Represents the options of Delta XYZ. More...
 
enum  Options {
  AlongCurveAngle, DistanceAngle, Distance, Angle,
  DistanceBetweenPoints, RadialDistance, PointToPoint, RotateByThreePoints,
  AlignAxisVector, CsysToCsys, Dynamic, DeltaXyz,
  None
}
 Represents the options of Motion. More...
 

Public Member Functions

unsafe void GetTransformation (out double[] transformation)
 The 4x4 transformation matrix More...
 
unsafe void ResetMotionToThreeDimensions ()
 Reset motion to three dimensions More...
 
unsafe void SetDependentView (NXOpen.View view)
 Set the view for view dependent drafting objects More...
 
unsafe void SetMotionToTwoDimensions (NXOpen.Plane plane)
 Set motion to two dimensions along the given plane More...
 
unsafe void SetUpdateOption (NXOpen.SmartObject.UpdateOption option)
 Set the update option for defining the update behavior for the object. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Axis AlignVector [get, set]
 Returns or sets the axis of NXOpen.GeometricUtilities.ModlMotion.Options.AlignAxisVector motion option. More...
 
unsafe
NXOpen.GeometricUtilities.ModlAlongCurveAngle 
AlongCurveAngle [get]
 Returns the alongCurveAngle of NXOpen.GeometricUtilities.ModlMotion.Options.AlongCurveAngle motion option. More...
 
unsafe NXOpen.Expression Angle [get]
 Returns the angle of NXOpen.GeometricUtilities.ModlMotion.Options.Angle motion option. More...
 
unsafe NXOpen.Axis AngularAxis [get, set]
 Returns or sets the angular axis of NXOpen.GeometricUtilities.ModlMotion.Options.Angle motion option. More...
 
unsafe
NXOpen.GeometricUtilities.ModlMotion.Delta 
DeltaEnum [get, set]
 Returns or sets the delta enum More...
 
unsafe double DeltaX [get, set]
 Returns or sets the delta x More...
 
unsafe NXOpen.Expression DeltaXc [get]
 Returns the delta xc More...
 
unsafe double DeltaY [get, set]
 Returns or sets the delta y More...
 
unsafe NXOpen.Expression DeltaYc [get]
 Returns the delta yc More...
 
unsafe double DeltaZ [get, set]
 Returns or sets the delta z More...
 
unsafe NXOpen.Expression DeltaZc [get]
 Returns the delta zc More...
 
unsafe
NXOpen.GeometricUtilities.ModlDistanceAngle 
DistanceAngle [get]
 Returns the distance-angle of NXOpen.GeometricUtilities.ModlMotion.Options.DistanceAngle motion option. More...
 
unsafe NXOpen.Expression DistanceBetweenPointsDistance [get]
 Returns the distance of NXOpen.GeometricUtilities.ModlMotion.Options.DistanceBetweenPoints motion option. More...
 
unsafe NXOpen.Point DistanceBetweenPointsMeasurePoint [get, set]
 Returns or sets the measure point of NXOpen.GeometricUtilities.ModlMotion.Options.DistanceBetweenPoints motion option. More...
 
unsafe NXOpen.Expression DistanceBetweenPointsOriginDistance [get]
 Returns the distance between origin point and face of NXOpen.GeometricUtilities.ModlMotion.Options.DistanceBetweenPoints motion option. More...
 
unsafe NXOpen.Point DistanceBetweenPointsOriginPoint [get, set]
 Returns or sets the origin point of NXOpen.GeometricUtilities.ModlMotion.Options.DistanceBetweenPoints motion option. More...
 
unsafe NXOpen.Direction DistanceBetweenPointsVector [get, set]
 Returns or sets the direction of NXOpen.GeometricUtilities.ModlMotion.Options.DistanceBetweenPoints motion option. More...
 
unsafe NXOpen.Expression DistanceValue [get]
 Returns the distance value of NXOpen.GeometricUtilities.ModlMotion.Options.Distance motion option. More...
 
unsafe NXOpen.Direction DistanceVector [get, set]
 Returns or sets the direction of NXOpen.GeometricUtilities.ModlMotion.Options.Distance motion option. More...
 
unsafe NXOpen.Point EndPoint [get, set]
 Returns or sets the end point of NXOpen.GeometricUtilities.ModlMotion.Options.RotateByThreePoints motion option. More...
 
unsafe NXOpen.CoordinateSystem FromCsys [get, set]
 Returns or sets the "from csys" of NXOpen.GeometricUtilities.ModlMotion.Options.CsysToCsys motion option . More...
 
unsafe NXOpen.Point FromPoint [get, set]
 Returns or sets the "from point" of NXOpen.GeometricUtilities.ModlMotion.Options.PointToPoint motion option. More...
 
unsafe NXOpen.Matrix3x3 ManipulatorMatrix [get, set]
 Returns or sets the matrix of manipulator for NXOpen.GeometricUtilities.ModlMotion.Options.Dynamic motion option. More...
 
unsafe NXOpen.Point3d ManipulatorOrigin [get, set]
 Returns or sets the origin point of manipulator for NXOpen.GeometricUtilities.ModlMotion.Options.Dynamic motion option. More...
 
unsafe bool MoveHandle [get, set]
 Returns or sets the move handle toggle of NXOpen.GeometricUtilities.ModlMotion.Options.Dynamic motion option. More...
 
unsafe
NXOpen.GeometricUtilities.ModlMotion.Options 
Option [get, set]
 Returns or sets the options. More...
 
unsafe
NXOpen.GeometricUtilities.OrientXpressBuilder 
OrientXpress [get]
 Returns the orientXpress. More...
 
unsafe NXOpen.Axis RadialAxis [get, set]
 Returns or sets the axis of NXOpen.GeometricUtilities.ModlMotion.Options.RadialDistance motion option. More...
 
unsafe NXOpen.Expression RadialDistance [get]
 Returns the distance value of NXOpen.GeometricUtilities.ModlMotion.Options.RadialDistance motion option. More...
 
unsafe NXOpen.Point RadialMeasurePoint [get, set]
 Returns or sets the measure point of NXOpen.GeometricUtilities.ModlMotion.Options.RadialDistance motion option. More...
 
unsafe NXOpen.Expression RadialOriginDistance [get]
 Returns the distance between axis point and face of NXOpen.GeometricUtilities.ModlMotion.Options.RadialDistance motion option. More...
 
unsafe NXOpen.Axis RotateVector [get, set]
 Returns or sets the direction of NXOpen.GeometricUtilities.ModlMotion.Options.RotateByThreePoints motion option. More...
 
unsafe NXOpen.Point StartPoint [get, set]
 Returns or sets the start point of NXOpen.GeometricUtilities.ModlMotion.Options.RotateByThreePoints motion option. More...
 
unsafe NXOpen.CoordinateSystem ToCsys [get, set]
 Returns or sets the "to csys" where object is moved for motion option NXOpen.GeometricUtilities.ModlMotion.Options.CsysToCsys . More...
 
unsafe NXOpen.Point ToPoint [get, set]
 Returns or sets the point where object is moved for motion option NXOpen.GeometricUtilities.ModlMotion.Options.PointToPoint More...
 
unsafe NXOpen.Direction ToVector [get, set]
 Returns or sets the vector of NXOpen.GeometricUtilities.ModlMotion.Options.AlignAxisVector motion option. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.GeometricUtilities.ModlMotion

Created in NX6.0.0

Member Enumeration Documentation

Represents the options of Delta XYZ.

Enumerator
ReferenceAcsWorkPart 

Reference CSYS is absolute coordinate system in the work part

ReferenceAcsDisplayPart 

Reference CSYS is absolute coordinate system in the display part

ReferenceWcsWorkPart 

Reference CSYS is work coordinate system in the work part

ReferenceWcsDisplayPart 

Reference CSYS is work coordinate system in the display part

Represents the options of Motion.

Enumerator
AlongCurveAngle 

Move by AlongCurve-Angle

DistanceAngle 

Move by Distance-Angle

Distance 

Move by Distance

Angle 

Move by Angle

DistanceBetweenPoints 

Move by Distance between Points

RadialDistance 

Move by Radial Distance

PointToPoint 

Move by Point to Point

RotateByThreePoints 

Move by Rotate by Three Points

AlignAxisVector 

Move by Align Axis to Vector

CsysToCsys 

Move by CSYS to CSYS

Dynamic 

Move by Dynamic

DeltaXyz 

Move by delta XYZ

None 

No move

Member Function Documentation

unsafe void NXOpen.GeometricUtilities.ModlMotion.GetTransformation ( out double[]  transformation)
inline

The 4x4 transformation matrix

Created in NX1872.0.0

License requirements: None.

Parameters
transformation
unsafe void NXOpen.GeometricUtilities.ModlMotion.ResetMotionToThreeDimensions ( )
inline

Reset motion to three dimensions

Created in NX6.0.0

License requirements: None.

unsafe void NXOpen.GeometricUtilities.ModlMotion.SetDependentView ( NXOpen.View  view)
inline

Set the view for view dependent drafting objects

Created in NX7.5.0

License requirements: None.

Parameters
viewview where to paste
unsafe void NXOpen.GeometricUtilities.ModlMotion.SetMotionToTwoDimensions ( NXOpen.Plane  plane)
inline

Set motion to two dimensions along the given plane

Created in NX6.0.0

License requirements: None.

Parameters
planePlane to which motion needs to be restricted
unsafe void NXOpen.GeometricUtilities.ModlMotion.SetUpdateOption ( NXOpen.SmartObject.UpdateOption  option)
inline

Set the update option for defining the update behavior for the object.

As an example, in modeling application, the update option should be "WithinModeling" and in drafting application it should be "AfterModeling".

Created in NX6.0.0

License requirements: None.

Parameters
optionUpdate option
unsafe bool NXOpen.GeometricUtilities.ModlMotion.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.Axis NXOpen.GeometricUtilities.ModlMotion.AlignVector
getset

Returns or sets the axis of NXOpen.GeometricUtilities.ModlMotion.Options.AlignAxisVector motion option.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.GeometricUtilities.ModlAlongCurveAngle NXOpen.GeometricUtilities.ModlMotion.AlongCurveAngle
get

Returns the alongCurveAngle of NXOpen.GeometricUtilities.ModlMotion.Options.AlongCurveAngle motion option.

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.GeometricUtilities.ModlMotion.Angle
get

Returns the angle of NXOpen.GeometricUtilities.ModlMotion.Options.Angle motion option.

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Axis NXOpen.GeometricUtilities.ModlMotion.AngularAxis
getset

Returns or sets the angular axis of NXOpen.GeometricUtilities.ModlMotion.Options.Angle motion option.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.GeometricUtilities.ModlMotion.Delta NXOpen.GeometricUtilities.ModlMotion.DeltaEnum
getset

Returns or sets the delta enum

Created in NX6.0.2

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.GeometricUtilities.ModlMotion.DeltaX
getset

Returns or sets the delta x

Created in NX6.0.2

Deprecated in NX8.5.0. Obtain the expression using NXOpen.GeometricUtilities.ModlMotion.DeltaXc to query or edit it.

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.GeometricUtilities.ModlMotion.DeltaXc
get

Returns the delta xc

Created in NX7.0.0

License requirements: None.

unsafe double NXOpen.GeometricUtilities.ModlMotion.DeltaY
getset

Returns or sets the delta y

Created in NX6.0.2

Deprecated in NX8.5.0. Obtain the expression using NXOpen.GeometricUtilities.ModlMotion.DeltaYc to query or edit it.

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.GeometricUtilities.ModlMotion.DeltaYc
get

Returns the delta yc

Created in NX7.0.0

License requirements: None.

unsafe double NXOpen.GeometricUtilities.ModlMotion.DeltaZ
getset

Returns or sets the delta z

Created in NX6.0.2

Deprecated in NX8.5.0. Obtain the expression using NXOpen.GeometricUtilities.ModlMotion.DeltaZc to query or edit it.

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.GeometricUtilities.ModlMotion.DeltaZc
get

Returns the delta zc

Created in NX7.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.ModlDistanceAngle NXOpen.GeometricUtilities.ModlMotion.DistanceAngle
get

Returns the distance-angle of NXOpen.GeometricUtilities.ModlMotion.Options.DistanceAngle motion option.

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.GeometricUtilities.ModlMotion.DistanceBetweenPointsDistance
get

Returns the distance of NXOpen.GeometricUtilities.ModlMotion.Options.DistanceBetweenPoints motion option.

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.GeometricUtilities.ModlMotion.DistanceBetweenPointsMeasurePoint
getset

Returns or sets the measure point of NXOpen.GeometricUtilities.ModlMotion.Options.DistanceBetweenPoints motion option.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Expression NXOpen.GeometricUtilities.ModlMotion.DistanceBetweenPointsOriginDistance
get

Returns the distance between origin point and face of NXOpen.GeometricUtilities.ModlMotion.Options.DistanceBetweenPoints motion option.

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.GeometricUtilities.ModlMotion.DistanceBetweenPointsOriginPoint
getset

Returns or sets the origin point of NXOpen.GeometricUtilities.ModlMotion.Options.DistanceBetweenPoints motion option.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Direction NXOpen.GeometricUtilities.ModlMotion.DistanceBetweenPointsVector
getset

Returns or sets the direction of NXOpen.GeometricUtilities.ModlMotion.Options.DistanceBetweenPoints motion option.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Expression NXOpen.GeometricUtilities.ModlMotion.DistanceValue
get

Returns the distance value of NXOpen.GeometricUtilities.ModlMotion.Options.Distance motion option.

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.GeometricUtilities.ModlMotion.DistanceVector
getset

Returns or sets the direction of NXOpen.GeometricUtilities.ModlMotion.Options.Distance motion option.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Point NXOpen.GeometricUtilities.ModlMotion.EndPoint
getset

Returns or sets the end point of NXOpen.GeometricUtilities.ModlMotion.Options.RotateByThreePoints motion option.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.CoordinateSystem NXOpen.GeometricUtilities.ModlMotion.FromCsys
getset

Returns or sets the "from csys" of NXOpen.GeometricUtilities.ModlMotion.Options.CsysToCsys motion option .

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Point NXOpen.GeometricUtilities.ModlMotion.FromPoint
getset

Returns or sets the "from point" of NXOpen.GeometricUtilities.ModlMotion.Options.PointToPoint motion option.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Matrix3x3 NXOpen.GeometricUtilities.ModlMotion.ManipulatorMatrix
getset

Returns or sets the matrix of manipulator for NXOpen.GeometricUtilities.ModlMotion.Options.Dynamic motion option.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Point3d NXOpen.GeometricUtilities.ModlMotion.ManipulatorOrigin
getset

Returns or sets the origin point of manipulator for NXOpen.GeometricUtilities.ModlMotion.Options.Dynamic motion option.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.GeometricUtilities.ModlMotion.MoveHandle
getset

Returns or sets the move handle toggle of NXOpen.GeometricUtilities.ModlMotion.Options.Dynamic motion option.

If true,moves only manipulator handle. If false, moves both manipulator handle and object.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.GeometricUtilities.ModlMotion.Options NXOpen.GeometricUtilities.ModlMotion.Option
getset

Returns or sets the options.

Control the Motion methods.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.GeometricUtilities.OrientXpressBuilder NXOpen.GeometricUtilities.ModlMotion.OrientXpress
get

Returns the orientXpress.

OrientXpress used as overlay in Motion.

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Axis NXOpen.GeometricUtilities.ModlMotion.RadialAxis
getset

Returns or sets the axis of NXOpen.GeometricUtilities.ModlMotion.Options.RadialDistance motion option.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Expression NXOpen.GeometricUtilities.ModlMotion.RadialDistance
get

Returns the distance value of NXOpen.GeometricUtilities.ModlMotion.Options.RadialDistance motion option.

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.GeometricUtilities.ModlMotion.RadialMeasurePoint
getset

Returns or sets the measure point of NXOpen.GeometricUtilities.ModlMotion.Options.RadialDistance motion option.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Expression NXOpen.GeometricUtilities.ModlMotion.RadialOriginDistance
get

Returns the distance between axis point and face of NXOpen.GeometricUtilities.ModlMotion.Options.RadialDistance motion option.

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Axis NXOpen.GeometricUtilities.ModlMotion.RotateVector
getset

Returns or sets the direction of NXOpen.GeometricUtilities.ModlMotion.Options.RotateByThreePoints motion option.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Point NXOpen.GeometricUtilities.ModlMotion.StartPoint
getset

Returns or sets the start point of NXOpen.GeometricUtilities.ModlMotion.Options.RotateByThreePoints motion option.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.CoordinateSystem NXOpen.GeometricUtilities.ModlMotion.ToCsys
getset

Returns or sets the "to csys" where object is moved for motion option NXOpen.GeometricUtilities.ModlMotion.Options.CsysToCsys .

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Point NXOpen.GeometricUtilities.ModlMotion.ToPoint
getset

Returns or sets the point where object is moved for motion option NXOpen.GeometricUtilities.ModlMotion.Options.PointToPoint

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Direction NXOpen.GeometricUtilities.ModlMotion.ToVector
getset

Returns or sets the vector of NXOpen.GeometricUtilities.ModlMotion.Options.AlignAxisVector motion option.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.